import Writer from './writer';
export declare class WriterProvider extends Writer {
    providers: any[];
    jsonOutput: {};
    constructor(providers: any[]);
    render(renderType?: string): Promise<string>;
    _render(): Promise<void>;
    __populateJsonOutput(provider: any): void;
}
